import InterfaceJsonContent from '../models/InterfaceJsonContent';
declare class TextToSpeechService {
    private voices;
    private azureKey;
    private azureRegion;
    private voice;
    private content;
    constructor(content: InterfaceJsonContent);
    execute({ synthesizeIntro, synthesizeEnd, }: {
        synthesizeIntro?: boolean;
        synthesizeEnd?: boolean;
    }): Promise<void>;
    private synthesizeIntro;
    private synthesizeNews;
    private synthesizeEnd;
    private getVoice;
    private synthesize;
}
export default TextToSpeechService;
