import InterfaceJsonContent from '../models/InterfaceJsonContent';
export default class YoutubeUploadService {
    private content;
    private redirectUrl;
    private clientId;
    private clientSecret;
    private refreshToken;
    private descriptionCharactersLimit;
    private categoryIds;
    private defaultTags;
    constructor(content: InterfaceJsonContent);
    execute(videoPath: string, thumbnailPath: string): Promise<void>;
    private getAccessToken;
    private getDescription;
    private uploadVideo;
    private uploadThumbnail;
}
